## com.acme
Class ChatFilter

    java.lang.Object
      org.mortbay.util.ajax.AjaxFilter
          com.acme.ChatFilter

All Implemented Interfaces:
  Filter

Deprecated. Use Cometd

    public class ChatFilter

extends AjaxFilter

Author:
  gregw

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.util.ajax.AjaxFilter
`AjaxFilter.AjaxResponse`

Constructor Summary
`ChatFilter()` Deprecated.

Method Summary
`void` `destroy()` Deprecated.
`void` `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)` Deprecated.
`void` `handle(String method, String message, HttpServletRequest request, AjaxFilter.AjaxResponse response)` Deprecated.
`void` `init(FilterConfig filterConfig)` Deprecated.

Methods inherited from class org.mortbay.util.ajax.AjaxFilter
`encodeText, getContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChatFilter

    public ChatFilter()

  Deprecated.

Method Detail

### init

    public void init(FilterConfig filterConfig)
              throws ServletException

  Deprecated.
  Specified by:
    `init` in interface `Filter`
  Overrides:
    `init` in class `AjaxFilter`
  Throws:
    `ServletException`

### destroy

    public void destroy()

  Deprecated.
  Specified by:
    `destroy` in interface `Filter`
  Overrides:
    `destroy` in class `AjaxFilter`

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws IOException,
                         ServletException

  Deprecated.
  Specified by:
    `doFilter` in interface `Filter`
  Overrides:
    `doFilter` in class `AjaxFilter`
  Throws:
    `IOException`
    `ServletException`

### handle

    public void handle(String method,
                       String message,
                       HttpServletRequest request,
                       AjaxFilter.AjaxResponse response)

  Deprecated.
  Overrides:
    `handle` in class `AjaxFilter`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.